Extending Qt Creator Manual | LocalEnvironmentAspect

Extending Qt Creator Manual 4.3.0

# LocalEnvironmentAspect Class

(ProjectExplorer::LocalEnvironmentAspect)

Inherits: | ProjectExplorer::EnvironmentAspect

- List of all members, including inherited members

## Public Types

typedef | BaseEnvironmentModifier

## Public Functions

| LocalEnvironmentAspect(RunConfiguration *parent, const BaseEnvironmentModifier &modifier)
void | buildEnvironmentHasChanged()

- 8 public functions inherited from ProjectExplorer::EnvironmentAspect
- 17 public functions inherited from ProjectExplorer::IRunConfigurationAspect

### Additional Inherited Members

- 3 signals inherited from ProjectExplorer::EnvironmentAspect
- 2 protected functions inherited from ProjectExplorer::IRunConfigurationAspect

## Member Type Documentation

### typedef LocalEnvironmentAspect::BaseEnvironmentModifier

## Member Function Documentation

### LocalEnvironmentAspect::LocalEnvironmentAspect(RunConfiguration *parent, const BaseEnvironmentModifier &modifier)

Default constructs an instance of LocalEnvironmentAspect.

### void LocalEnvironmentAspect::buildEnvironmentHasChanged()